package com.aps.entity.Algorithm;

/**
 * 作者：佟礼
 * 时间：2026-05-27
 */
public  class DraftScheduleResult {
    private int operationId;
    private int idealStartTime;
    private int idealEndTime;
    private Long selectedMachineId;
    private double processTime;
    private int groupId;
    private int sequence;

    public DraftScheduleResult(int operationId, int idealStartTime, int idealEndTime,
                               Long selectedMachineId, double processTime, int groupId, int sequence) {
        this.operationId = operationId;
        this.idealStartTime = idealStartTime;
        this.idealEndTime = idealEndTime;
        this.selectedMachineId = selectedMachineId;
        this.processTime = processTime;
        this.groupId = groupId;
        this.sequence = sequence;
    }

    public int getOperationId() { return operationId; }
    public int getIdealStartTime() { return idealStartTime; }
    public int getIdealEndTime() { return idealEndTime; }
    public Long getSelectedMachineId() { return selectedMachineId; }
    public double getProcessTime() { return processTime; }
    public int getGroupId() { return groupId; }
    public int getSequence() { return sequence; }
}

